#
# sample NMAKE makefile to make libvpi.dll for Cadence Verilog-XL, using VisualC++ on Windows
#

CDS_INST_DIR=C:/progra~1/cds/

SOURCES = \
          count_args_vpi_test.c \
          get_arg_handle_vpi_test.c \
          list_pathout_ports_vpi.c \
          port_info_vpi.c \
          count_all_prims_vpi.c \
          invoke_options_vpi.c \
          vpi_user.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(CDS_INST_DIR)/tools/include -MD -O2

.c.obj:
	$(CC) $(CFLAGS) -c $<

libvpi.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) $(CDS_INST_DIR)/tools/lib/pliinterface.lib
