#
# NMAKE makefile to make my_pli.dll for MTI Modelsim, using VisualC++ on Windows
#

MTI_INSTALL_DIR=c:\progra~1\ModelTech

SOURCES = \
          read_test_vector_vpi.c \
          my_strobe_vpi.c \
          read_stimulus_vpi.c \
          my_monitor_vpi.c \
          vpi_user.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(MTI_INSTALL_DIR)\include -MD

.c.obj:
	$(CC) $(CFLAGS) -c $<

../mti_pli.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) -EXPORT:vlog_startup_routines $(MTI_INSTALL_DIR)/win32/mtipli.lib
