#
# NMAKE makefile to make my_pli.dll for MTI Modelsim, using VisualC++ on Windows
#

MTI_INSTALL_DIR=c:\progra~1\ModelTech

SOURCES = \
          realpow_tf.c \
          strgetp_test_tf.c \
          exprinfo_test_tf.c \
          evaluatep_test_tf.c \
          propagatep_test_tf.c \
          nodeinfo_test_tf.c \
          dump_memory_tf.c \
          fill_memory_tf.c \
          veriuser_MTI.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(MTI_INSTALL_DIR)\include -MD

.c.obj:
	$(CC) $(CFLAGS) -c $<

../mti_pli.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) -EXPORT:init_usertfs $(MTI_INSTALL_DIR)/win32/mtipli.lib
