#
# sample NMAKE makefile to make libvpi.dll for Cadence Verilog-XL, using VisualC++ on Windows
#

CDS_INST_DIR=C:/progra~1/cds/

SOURCES = \
          realpow_tf.c \
          strgetp_test_tf.c \
          exprinfo_test_tf.c \
          evaluatep_test_tf.c \
          propagatep_test_tf.c \
          nodeinfo_test_tf.c \
          dump_memory_tf.c \
          fill_memory_tf.c \
          veriuser_CDS.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(CDS_INST_DIR)/tools/include -MD -O2

.c.obj:
	$(CC) $(CFLAGS) -c $<

libpli.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) $(CDS_INST_DIR)/tools/lib/pliinterface.lib
