#
# NMAKE makefile to make my_pli.dll for MTI Modelsim, using VisualC++ on Windows
#

MTI_INSTALL_DIR=c:\progra~1\ModelTech

SOURCES = \
          sci_alu_combinational_acc.c  \
#          sci_alu_sequential_acc.c  \
#          sci_alu_synchronized_acc.c \
#          sci_alu_latched_acc.c \
          veriuser_MTI.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(MTI_INSTALL_DIR)\include -MD

.c.obj:
	$(CC) $(CFLAGS) -c $<

../mti_pli.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) -EXPORT:init_usertfs $(MTI_INSTALL_DIR)/win32/mtipli.lib
