#
# sample NMAKE makefile to make libpli.dll for Cadence Verilog-XL, using VisualC++ on Windows
#

CDS_INST_DIR=c:/progra~1/cds

SOURCES = \
          sci_alu_combinational_acc.c  \
#          sci_alu_sequential_acc.c  \
#          sci_alu_synchronized_acc.c \
#          sci_alu_latched_acc.c \
          veriuser_CDS.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(CDS_INST_DIR)/tools/verilog/include -MD -O2

.c.obj:
	$(CC) $(CFLAGS) -c $<

libpli.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) $(CDS_INST_DIR)/tools/verilog/lib/pliinterface.lib
