#
# sample NMAKE makefile to make libvpi.dll with VisualC++ on Windows
#  see windows.txt for more details.
#

SOURCES = \
          hello_vpi.c \
          show_value_vpi.c \
          vpi_user.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(CDS_INST_DIR)/tools/include -MD -O2

.c.obj:
	$(CC) $(CFLAGS) -c $<

libvpi.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) $(CDS_INST_DIR)/tools/lib/pliinterface.lib
