/**********************************************************************
 * $get_vector* example -- Verilog HDL test bench.
 *
 * Verilog test bench to test the $get_vector* PLI application.
 *
 * For the book, "The Verilog PLI Handbook" by Stuart Sutherland
 *  Copyright 1999 & 2001, Kluwer Academic Publishers, Norwell, MA, USA
 *   Contact: www.wkap.il
 *  Example copyright 1998, Sutherland HDL Inc, Portland, Oregon, USA
 *   Contact: www.sutherland-hdl.com
 *********************************************************************/
`timescale 1ns / 1ns
module test;

  reg [7:0] vector;

  initial
    begin
      #1 vector = $get_vector_bin;
      #1 vector = $get_vector_hex;
      #1 $finish;
    end

endmodule
/*********************************************************************/

