/**********************************************************************
 * Example vpi_user.c file
 *
 * vpi_user.c file to register PLI applications using the VPI library.
 *
 * For the book, "The Verilog PLI Handbook" by Stuart Sutherland
 *  Copyright 1999 & 2001, Kluwer Academic Publishers, Norwell, MA, USA
 *   Contact: www.wkap.il
 *  Example copyright 1998, Sutherland HDL Inc, Portland, Oregon, USA
 *   Contact: www.sutherland-hdl.com
 *********************************************************************/

#include "vpi_user.h"

/*** prototypes of the PLI registration routines ***/

 extern void PLIbook_CountArgsTest_register(); /* */
extern void PLIbook_GetArgTest_register(); /* */
extern void PLIbook_ListPorts_register(); /* */
extern void PLIbook_PortInfo_register(); /* */
extern void PLIbook_CountPrims_register(); /* */
extern void PLIbook_TestInvokeOptions_register(); /* */

void (*vlog_startup_routines[])() =
{
   PLIbook_CountArgsTest_register, /* */
   PLIbook_GetArgTest_register, /* */
   PLIbook_ListPorts_register, /* */
   PLIbook_PortInfo_register, /* */
   PLIbook_CountPrims_register, /* */
   PLIbook_TestInvokeOptions_register, /* */
  0 /*** final entry must be 0 ***/

};
