#
# NMAKE makefile to make my_pli.dll for MTI Modelsim, using VisualC++ on Windows
#

MTI_INSTALL_DIR=c:\progra~1\ModelTech

SOURCES = \
          get_arg_val_vpi_test.c \
          read_vecval_vpi.c \
          read_strengthval_vpi.c \
          read_timeval_vpi.c \
          realpow_vpi.c \
          read_attribute_const_vpi.c \
          read_delays_vpi.c \
          set_mipd_delays_vpi.c \
          vpi_user.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(MTI_INSTALL_DIR)\include -MD

.c.obj:
	$(CC) $(CFLAGS) -c $<

../mti_pli.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) -EXPORT:vlog_startup_routines $(MTI_INSTALL_DIR)/win32/mtipli.lib
