#
# sample NMAKE makefile to make libvpi.dll with VisualC++ on Windows
#  see windows.txt for more details.
#

CDS_INST_DIR=C:/progra~1/cds/

SOURCES = \
          get_arg_val_vpi_test.c \
          read_vecval_vpi.c \
          read_strengthval_vpi.c \
          read_timeval_vpi.c \
          realpow_vpi.c \
          read_attribute_const_vpi.c \
          read_delays_vpi.c \
          set_mipd_delays_vpi.c \
          vpi_user.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(CDS_INST_DIR)/tools/include -MD -O2

.c.obj:
	$(CC) $(CFLAGS) -c $<

libvpi.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) $(CDS_INST_DIR)/tools/lib/pliinterface.lib
