#
# sample NMAKE makefile to make libvpi.dll for Cadence Verilog-XL, using VisualC++ on Windows
#

CDS_INST_DIR=C:/progra~1/cds/

SOURCES = \
          read_test_vector_vpi.c \
          my_strobe_vpi.c \
          read_stimulus_vpi.c \
          my_monitor_vpi.c \
          vpi_user.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(CDS_INST_DIR)/tools/include -MD -O2

.c.obj:
	$(CC) $(CFLAGS) -c $<

libvpi.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) $(CDS_INST_DIR)/tools/lib/pliinterface.lib
