#
# sample NMAKE makefile to make libvpi.dll with VisualC++ on Windows
#  see windows.txt for more details.
#

CDS_INST_DIR=C:/progra~1/cds/

SOURCES = \
          sci_alu_combinational_vpi.c \
#          sci_alu_sequential_vpi.c  \
#          sci_alu_synchronized_vpi.c \
#          sci_alu_latched_vpi.c \
          vpi_user.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(CDS_INST_DIR)/tools/include -MD -O2

.c.obj:
	$(CC) $(CFLAGS) -c $<

libvpi.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) $(CDS_INST_DIR)/tools/lib/pliinterface.lib
