#
# NMAKE makefile to make my_pli.dll for MTI Modelsim, using VisualC++ on Windows
#

MTI_INSTALL_DIR=c:\progra~1\ModelTech

SOURCES = \
          my_strobe_tf.c \
          read_stimulus_short_tf.c \
          my_monitor1_tf.c \
          my_monitor2_tf.c \
          read_stimulus_tf.c \
          veriuser_MTI.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(MTI_INSTALL_DIR)\include -MD

.c.obj:
	$(CC) $(CFLAGS) -c $<

../mti_pli.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) -EXPORT:init_usertfs $(MTI_INSTALL_DIR)/win32/mtipli.lib
