#
# NMAKE makefile to make my_pli.dll for MTI Modelsim, using VisualC++ on Windows
#

MTI_INSTALL_DIR=c:\progra~1\ModelTech

SOURCES = \
          sci_alu_comb_calltf_tf.c  \
#          sci_alu_comb_misctf_tf.c \
#          sci_alu_sequential_tf.c  \
#          sci_alu_synchronized_tf.c \
#          sci_alu_latched_tf.c \
#          sci_alu_with_delays_tf.c \
          veriuser_MTI.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(MTI_INSTALL_DIR)\include -MD

.c.obj:
	$(CC) $(CFLAGS) -c $<

../mti_pli.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) -EXPORT:init_usertfs $(MTI_INSTALL_DIR)/win32/mtipli.lib
