#
# sample NMAKE makefile to make libpli.dll for Cadence Verilog-XL, using VisualC++ on Windows
#

CDS_INST_DIR=c:/progra~1/cds

SOURCES = \
          list_pathout_ports_acc.c \
          port_info_acc.c \
          list_cells_acc.c \
          count_loads_acc.c \
          display_all_nets_acc.c \
          veriuser_CDS.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(CDS_INST_DIR)/tools/verilog/include -MD -O2

.c.obj:
	$(CC) $(CFLAGS) -c $<

libpli.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) $(CDS_INST_DIR)/tools/verilog/lib/pliinterface.lib
