#
# NMAKE makefile to make my_pli.dll for MTI Modelsim, using VisualC++ on Windows
#

MTI_INSTALL_DIR=c:\progra~1\ModelTech

SOURCES = \
          invoke_commands_acc.c \
          list_nets_acc.c \
          fetch_values_acc.c \
          read_vecval_acc.c \
          func_72bit_acc.c \
          timescale_info_acc.c \
          list_prim_delays_acc.c \
          list_path_delays_acc.c \
          mipd_delays_acc.c \
          change_path_delays_acc.c \
          list_parameters_acc.c \
          veriuser_MTI.c

OBJS = $(SOURCES:.c=.obj)
CFLAGS = -DMSC -DWIN32 -I$(MTI_INSTALL_DIR)\include -MD

.c.obj:
	$(CC) $(CFLAGS) -c $<

../mti_pli.dll: $(OBJS)
	link -dll /out:$@ $(OBJS) -EXPORT:init_usertfs $(MTI_INSTALL_DIR)/win32/mtipli.lib
