/**************************************************************************
 * $print_invoke_commands example -- Verilog test bench source code
 *
 * Verilog test bench to test the $print_invoke_commands PLI application.
 *
 * NOTE: This test uses two supplemental files: invoke_options_test1.f and
 * invoke_options_test1.f.  This test is designed to be invoked as follows:
 *
 *   <simulator_compile_command> invoke_commands_test.v
 *   <simulator_run_command> +a +b -f invoke_options_test1.f +c
 *
 * For the book, "The Verilog PLI Handbook" by Stuart Sutherland
 *  Copyright 1999 & 2001, Kluwer Academic Publishers, Norwell, MA, USA
 *   Contact: www.wkap.il
 *  Example copyright 1998, Sutherland HDL Inc, Portland, Oregon, USA
 *   Contact: www.sutherland-hdl.com
 *************************************************************************/
`timescale 1ns / 1ns
module test;

  initial
    begin
      $print_invoke_commands;
      #1 $finish;
    end

endmodule
